Bug 1875858 - Unable to import/run an image from other project
Summary: Unable to import/run an image from other project
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.5.z
Assignee: Jaivardhan Kumar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On: 1843222
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-04 14:45 UTC by OpenShift BugZilla Robot
Modified: 2020-09-21 17:42 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: in 4.x on import of image from other namespace for which user has edit access, rolebindings needed for image-puller rights are created on the namespace user is trying to import from and this fails as user don't have admin privileges to the namespace trying to import image from. Consequence: Self-provisioner user is unable to import image from other Project for which they have edit access Fix: Created rolebindings required for image-puller rights un the namespace user want's to import to. In 4.x we have added ability to automatically grant image-puller rights in the namespace unlike 3.x where user will be executing a `oc` command to give the permission Result: User can import/run an image from other Project if has edit access
Clone Of:
Environment:
Last Closed: 2020-09-21 17:42:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6533 None closed [release-4.5] Bug 1875858: fixes issue with internal image imports for self-provisioner with edi… 2020-09-14 06:26:58 UTC
Red Hat Product Errata RHBA-2020:3719 None None None 2020-09-21 17:42:21 UTC

Comment 3 Gajanan More 2020-09-17 15:15:01 UTC
Verified on Google chrome and used build 4.5.0-0.nightly-2020-09-16-205243

Comment 5 errata-xmlrpc 2020-09-21 17:42:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3719


Note You need to log in before you can comment on or make changes to this bug.